Проблема с qt5

chubaka

New member
Сообщения
30
#1
Свежеуствновленная orel-2.12.22-04.12.2019_09.06 ругалась на отсутствие uic
Обновил, теперь ругается даже на qmake: qmake: could not exec '/usr/lib/x86_64-linux-gnu/qt4/bin/qmake': No such file or directory
Почему так криво не буду спрашивать - как штатно предлагаете это исправить ?
 
Сообщения
3
#2
У вас в тема озаглавлена как qt5, а ошибка связана с другой версией qt4. Одно из двух доставить qt4-default либо в выбрать нужный Вам профиль Qt . Указать необходимый профиль можно в параметрах странице комплекты. И там на вкладке "Комплекты" нужно указать необходимый Вам профиль Qt. Изредка профиль автоматически не устанавливается и его надо добавить вручную на вкладке "профили Qt".

 
Последнее редактирование:

chubaka

New member
Сообщения
30
#3
Всё у меня верно - я пытаюсь собрать проект для qt5, а уж почему вылезает qt4 - это и вопрос !
qtcreator не предлагать - должно работать из командной строки (да и не будет он также работать если qmake не вызывается)
 

chubaka

New member
Сообщения
30
#5
По умолчанию настроен на qt4, хотя пакеты для разработки на qt4 не установлены, но установлен qt5-qmake-bin
$ qtchooser -print-env
QT_SELECT="default"
QTTOOLDIR="/usr/lib/x86_64-linux-gnu/qt4/bin"
QTLIBDIR="/usr/lib/x86_64-linux-gnu"

сделал export QT_SELECT=qt5 теперь ругается
$ uic
uic: could not exec '/usr/lib/qt5/bin/uic': No such file or directory

поставил qtbase5-dev - работает

явный косяк дистрибутива на этапе установки, когда выбирается галка "ставить средства разработки" - она дает ложную уверенность об установленных пакетах, а их не будет